## r-cran-vctrs 0.2.3

=== DESCRIPTION ===
Package: vctrs
Title: Vector Helpers
Version: 0.2.3
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = c("aut", "cre"),
             email = "hadley@rstudio.com"),
      person(given = "Lionel",
             family = "Henry",
             role = "aut",
             email = "lionel@rstudio.com"),
      person(given = "Davis",
             family = "Vaughan",
             role = "aut",
             email = "davis@rstudio.com"),
      person(given = "RStudio",
             role = "cph"))
Description: Defines new notions of prototype and size that are
    used to provide tools for consistent and well-founded type-coercion
    and size-recycling, and are in turn connected to ideas of type- and
    size-stability useful for analysing function interfaces.
License: GPL-3
URL: https://github.com/r-lib/vctrs
BugReports: https://github.com/r-lib/vctrs/issues
Depends: R (>= 3.2)
Imports: ellipsis (>= 0.2.0), digest, glue, rlang (>= 0.4.2)
Suggests: bit64, covr, crayon, generics, knitr, pillar (>= 1.4.1),
        pkgdown, rmarkdown, testthat (>= 2.3.0), tibble, xml2, zeallot
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-GB
LazyData: true
RoxygenNote: 7.0.2
NeedsCompilation: yes
Packaged: 2020-02-19 11:07:58 UTC; lionel
Author: Hadley Wickham [aut, cre],
  Lionel Henry [aut],
  Davis Vaughan [aut],
  RStudio [cph]
Maintainer: Hadley Wickham <hadley@rstudio.com>
Repository: CRAN
Date/Publication: 2020-02-20 18:50:02 UTC

## r-cran-vctrs 0.2.0

=== debian/changelog ===
r-cran-vctrs (0.2.0-1) unstable; urgency=medium

  * Initial release (closes: #931835)

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jul 2019 09:09:44 +0200

=== debian/control ===
Source: r-cran-vctrs
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev,
               r-cran-backports,
               r-cran-ellipsis (>= 0.2.0),
               r-cran-digest,
               r-cran-glue,
               r-cran-rlang (>= 0.4.0),
               r-cran-zeallot
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
Homepage: https://cran.r-project.org/package=vctrs

Package: r-cran-vctrs
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R vector helpers
 Defines new notions of prototype and size that are
 used to provide tools for consistent and well-founded type-coercion
 and size-recycling, and are in turn connected to ideas of type- and
 size-stability useful for analyzing function interfaces.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble
Restrictions: allow-stderr

## r-cran-vctrs 0.2.3

=== debian/changelog ===
r-cran-vctrs (0.2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Mon, 24 Feb 2020 06:17:01 +0100

r-cran-vctrs (0.2.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit,
    Repository, Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jan 2020 11:40:05 +0100

r-cran-vctrs (0.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Trim trailing whitespace.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 03 Jan 2020 14:49:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-backports,
-               r-cran-ellipsis (>= 0.2.0),
+               r-cran-ellipsis,
                r-cran-digest,
                r-cran-glue,
-               r-cran-rlang (>= 0.4.0),
-               r-cran-zeallot
-Standards-Version: 4.3.0
+               r-cran-rlang (>= 0.4.2)
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
 Homepage: https://cran.r-project.org/package=vctrs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble, r-cran-bit64, r-cran-generics
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/vctrs_([-\d.]*)\.tar\.gz

## r-cran-vctrs 0.3.2

=== debian/changelog ===
r-cran-vctrs (0.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 24 Jul 2020 08:57:02 +0200

r-cran-vctrs (0.3.0-2) unstable; urgency=medium

  * Team upload.
  * Add r-cran-xml2 and r-cran-dplyr to test-deps (Closes: #961571)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 26 May 2020 18:43:31 +0200

r-cran-vctrs (0.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 10:29:06 +0200

r-cran-vctrs (0.2.4-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 11:22:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-ellipsis,
                r-cran-digest,
                r-cran-glue,
-               r-cran-rlang (>= 0.4.2)
+               r-cran-rlang (>= 0.4.7)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
 Homepage: https://cran.r-project.org/package=vctrs
+Rules-Requires-Root: no
 
 Package: r-cran-vctrs
 Architecture: any

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble, r-cran-bit64, r-cran-generics, r-cran-xml2, r-cran-dplyr
Restrictions: allow-stderr

## r-cran-vctrs 0.3.6

=== DESCRIPTION ===
Package: vctrs
Title: Vector Helpers
Version: 0.3.6
Authors@R: 
    c(person(given = "Hadley",
             family = "Wickham",
             role = "aut",
             email = "hadley@rstudio.com"),
      person(given = "Lionel",
             family = "Henry",
             role = c("aut", "cre"),
             email = "lionel@rstudio.com"),
      person(given = "Davis",
             family = "Vaughan",
             role = "aut",
             email = "davis@rstudio.com"),
      person(given = "data.table team",
             role = "cph",
             comment = "Radix sort based on data.table's forder() and their contribution to R's order()"),
      person(given = "RStudio",
             role = "cph"))
Description: Defines new notions of prototype and size that are
    used to provide tools for consistent and well-founded type-coercion
    and size-recycling, and are in turn connected to ideas of type- and
    size-stability useful for analysing function interfaces.
License: MIT + file LICENSE
URL: https://vctrs.r-lib.org/
BugReports: https://github.com/r-lib/vctrs/issues
Depends: R (>= 3.3)
Imports: ellipsis (>= 0.2.0), digest, glue, rlang (>= 0.4.7)
Suggests: bit64, covr, crayon, dplyr (>= 0.8.5), generics, knitr,
        pillar (>= 1.4.4), pkgdown, rmarkdown, testthat (>= 2.3.0),
        tibble, withr, xml2, waldo (>= 0.2.0), zeallot
VignetteBuilder: knitr
Encoding: UTF-8
Language: en-GB
LazyData: true
RoxygenNote: 7.1.1
NeedsCompilation: yes
Packaged: 2020-12-17 09:22:46 UTC; lionel
Author: Hadley Wickham [aut],
  Lionel Henry [aut, cre],
  Davis Vaughan [aut],
  data.table team [cph] (Radix sort based on data.table's forder() and
    their contribution to R's order()),
  RStudio [cph]
Maintainer: Lionel Henry <lionel@rstudio.com>
Repository: CRAN
Date/Publication: 2020-12-17 10:30:02 UTC

=== debian/changelog ===
r-cran-vctrs (0.3.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 26 Dec 2020 18:21:03 +0530

r-cran-vctrs (0.3.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Nov 2020 10:01:50 +0100

r-cran-vctrs (0.3.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 21 Sep 2020 11:11:37 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                r-cran-digest,
                r-cran-glue,
                r-cran-rlang (>= 0.4.7)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
 Homepage: https://cran.r-project.org/package=vctrs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble, r-cran-bit64, r-cran-generics, r-cran-xml2, r-cran-dplyr, r-cran-waldo
Restrictions: allow-stderr

## r-cran-vctrs 0.3.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: vctrs
 Title: Vector Helpers
-Version: 0.3.6
+Version: 0.3.8
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -27,17 +27,16 @@
 URL: https://vctrs.r-lib.org/
 BugReports: https://github.com/r-lib/vctrs/issues
 Depends: R (>= 3.3)
-Imports: ellipsis (>= 0.2.0), digest, glue, rlang (>= 0.4.7)
+Imports: ellipsis (>= 0.2.0), glue, rlang (>= 0.4.10)
 Suggests: bit64, covr, crayon, dplyr (>= 0.8.5), generics, knitr,
         pillar (>= 1.4.4), pkgdown, rmarkdown, testthat (>= 2.3.0),
         tibble, withr, xml2, waldo (>= 0.2.0), zeallot
 VignetteBuilder: knitr
 Encoding: UTF-8
 Language: en-GB
-LazyData: true
 RoxygenNote: 7.1.1
 NeedsCompilation: yes
-Packaged: 2020-12-17 09:22:46 UTC; lionel
+Packaged: 2021-04-29 15:14:11 UTC; lionel
 Author: Hadley Wickham [aut],
   Lionel Henry [aut, cre],
   Davis Vaughan [aut],
@@ -46,4 +45,4 @@
   RStudio [cph]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2020-12-17 10:30:02 UTC
+Date/Publication: 2021-04-29 16:00:03 UTC

=== debian/changelog ===
r-cran-vctrs (0.3.8-2) unstable; urgency=medium

  [ Andreas Tille ]
  * Disable reprotest

  [ Steve Langasek ]
  * Fix test on big endian architectures
    Closes: #999870

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 18 Nov 2021 12:15:33 +0100

r-cran-vctrs (0.3.8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 15 Aug 2021 13:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,9 @@
                dh-r,
                r-base-dev,
                r-cran-ellipsis,
-               r-cran-digest,
                r-cran-glue,
-               r-cran-rlang (>= 0.4.7)
-Standards-Version: 4.5.1
+               r-cran-rlang (>= 0.4.10)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
 Homepage: https://cran.r-project.org/package=vctrs

## r-cran-vctrs 0.4.1

=== debian/changelog ===
r-cran-vctrs (0.4.1-2) unstable; urgency=medium

  * Team upload.
  * d/t/control: Do not run tests on s390x

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 12:44:49 +0530

r-cran-vctrs (0.4.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Refresh debian/patches/s390x-tests.patch

 -- Dylan Aïssi <daissi@debian.org>  Sat, 07 May 2022 10:54:20 +0200

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-ellipsis,
+               r-cran-cli (>= 3.2.0),
                r-cran-glue,
-               r-cran-rlang (>= 0.4.10)
+               r-cran-rlang (>= 1.0.2)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git

## r-cran-vctrs 0.5.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: vctrs
 Title: Vector Helpers
-Version: 0.3.8
+Version: 0.5.2
 Authors@R: 
     c(person(given = "Hadley",
              family = "Wickham",
@@ -27,16 +27,20 @@
 URL: https://vctrs.r-lib.org/
 BugReports: https://github.com/r-lib/vctrs/issues
 Depends: R (>= 3.3)
-Imports: ellipsis (>= 0.2.0), glue, rlang (>= 0.4.10)
+Imports: cli (>= 3.4.0), glue, lifecycle (>= 1.0.3), rlang (>= 1.0.6)
 Suggests: bit64, covr, crayon, dplyr (>= 0.8.5), generics, knitr,
-        pillar (>= 1.4.4), pkgdown, rmarkdown, testthat (>= 2.3.0),
-        tibble, withr, xml2, waldo (>= 0.2.0), zeallot
+        pillar (>= 1.4.4), pkgdown (>= 2.0.1), rmarkdown, testthat (>=
+        3.0.0), tibble (>= 3.1.3), withr, xml2, waldo (>= 0.2.0),
+        zeallot
 VignetteBuilder: knitr
+SystemRequirements: C++11
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.1.1
+RoxygenNote: 7.2.3
+Config/testthat/edition: 3
+Config/Needs/website: tidyverse/tidytemplate
 NeedsCompilation: yes
-Packaged: 2021-04-29 15:14:11 UTC; lionel
+Packaged: 2023-01-21 20:11:27 UTC; davis
 Author: Hadley Wickham [aut],
   Lionel Henry [aut, cre],
   Davis Vaughan [aut],
@@ -45,4 +49,4 @@
   RStudio [cph]
 Maintainer: Lionel Henry <lionel@rstudio.com>
 Repository: CRAN
-Date/Publication: 2021-04-29 16:00:03 UTC
+Date/Publication: 2023-01-23 11:20:02 UTC

=== debian/changelog ===
r-cran-vctrs (0.5.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 10:18:16 +0100

r-cran-vctrs (0.5.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 Nov 2022 15:58:50 +0100

r-cran-vctrs (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2022 14:34:49 +0100

r-cran-vctrs (0.4.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * lintian-overrides due to lintian bug #1017966

 -- Andreas Tille <tille@debian.org>  Sat, 08 Oct 2022 22:00:58 +0200

=== debian/control ===
Source: r-cran-vctrs
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
Homepage: https://cran.r-project.org/package=vctrs
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-cli (>= 3.4.0),
               r-cran-glue,
               r-cran-lifecycle (>= 1.0.3),
               r-cran-rlang (>= 1.0.6)
Testsuite: autopkgtest-pkg-r

Package: r-cran-vctrs
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R vector helpers
 Defines new notions of prototype and size that are
 used to provide tools for consistent and well-founded type-coercion
 and size-recycling, and are in turn connected to ideas of type- and
 size-stability useful for analyzing function interfaces.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-tibble, r-cran-bit64, r-cran-generics, r-cran-xml2, r-cran-dplyr, r-cran-waldo
Restrictions: allow-stderr
Architecture: !s390x

## r-cran-vctrs 0.6.3

=== debian/changelog ===
r-cran-vctrs (0.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jun 2023 17:35:31 +0200

r-cran-vctrs (0.6.2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Jun 2023 15:40:32 +0200

## r-cran-vctrs 0.6.5

=== DESCRIPTION ===
Package: vctrs
Title: Vector Helpers
Version: 0.6.5
Authors@R: c(
    person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
    person("Lionel", "Henry", , "lionel@posit.co", role = "aut"),
    person("Davis", "Vaughan", , "davis@posit.co", role = c("aut", "cre")),
    person("data.table team", role = "cph",
           comment = "Radix sort based on data.table's forder() and their contribution to R's order()"),
    person("Posit Software, PBC", role = c("cph", "fnd"))
  )
Description: Defines new notions of prototype and size that are used to
    provide tools for consistent and well-founded type-coercion and
    size-recycling, and are in turn connected to ideas of type- and
    size-stability useful for analysing function interfaces.
License: MIT + file LICENSE
URL: https://vctrs.r-lib.org/, https://github.com/r-lib/vctrs
BugReports: https://github.com/r-lib/vctrs/issues
Depends: R (>= 3.5.0)
Imports: cli (>= 3.4.0), glue, lifecycle (>= 1.0.3), rlang (>= 1.1.0)
Suggests: bit64, covr, crayon, dplyr (>= 0.8.5), generics, knitr,
        pillar (>= 1.4.4), pkgdown (>= 2.0.1), rmarkdown, testthat (>=
        3.0.0), tibble (>= 3.1.3), waldo (>= 0.2.0), withr, xml2,
        zeallot
VignetteBuilder: knitr
Config/Needs/website: tidyverse/tidytemplate
Config/testthat/edition: 3
Encoding: UTF-8
Language: en-GB
RoxygenNote: 7.2.3
NeedsCompilation: yes
Packaged: 2023-12-01 16:27:12 UTC; davis
Author: Hadley Wickham [aut],
  Lionel Henry [aut],
  Davis Vaughan [aut, cre],
  data.table team [cph] (Radix sort based on data.table's forder() and
    their contribution to R's order()),
  Posit Software, PBC [cph, fnd]
Maintainer: Davis Vaughan <davis@posit.co>
Repository: CRAN
Date/Publication: 2023-12-01 23:50:02 UTC

=== debian/changelog ===
r-cran-vctrs (0.6.5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2023 14:44:29 +0100

r-cran-vctrs (0.6.4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2023 16:47:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                r-cran-cli (>= 3.4.0),
                r-cran-glue,
                r-cran-lifecycle (>= 1.0.3),
-               r-cran-rlang (>= 1.0.6)
+               r-cran-rlang (>= 1.1.0)
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-vctrs

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-bit64,
        r-cran-covr,
        r-cran-crayon,
        r-cran-dplyr (>= 0.8.5),
        r-cran-generics,
        r-cran-knitr,
        r-cran-pillar (>= 1.4.4),
        r-cran-pkgdown (>= 2.0.1),
        r-cran-rmarkdown,
        r-cran-testthat (>= 3.0.0),
        r-cran-tibble (>= 3.1.3),
        r-cran-waldo (>= 0.2.0),
        r-cran-withr,
        r-cran-xml2,
        r-cran-zeallot
Restrictions: allow-stderr
Architecture: !s390x

## r-cran-vctrs 0.7.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: vctrs
 Title: Vector Helpers
-Version: 0.6.5
+Version: 0.7.1
 Authors@R: c(
     person("Hadley", "Wickham", , "hadley@posit.co", role = "aut"),
     person("Lionel", "Henry", , "lionel@posit.co", role = "aut"),
@@ -16,20 +16,22 @@
 License: MIT + file LICENSE
 URL: https://vctrs.r-lib.org/, https://github.com/r-lib/vctrs
 BugReports: https://github.com/r-lib/vctrs/issues
-Depends: R (>= 3.5.0)
-Imports: cli (>= 3.4.0), glue, lifecycle (>= 1.0.3), rlang (>= 1.1.0)
+Depends: R (>= 4.0.0)
+Imports: cli (>= 3.4.0), glue, lifecycle (>= 1.0.3), rlang (>= 1.1.7)
 Suggests: bit64, covr, crayon, dplyr (>= 0.8.5), generics, knitr,
         pillar (>= 1.4.4), pkgdown (>= 2.0.1), rmarkdown, testthat (>=
         3.0.0), tibble (>= 3.1.3), waldo (>= 0.2.0), withr, xml2,
         zeallot
 VignetteBuilder: knitr
+Config/build/compilation-database: true
 Config/Needs/website: tidyverse/tidytemplate
 Config/testthat/edition: 3
+Config/testthat/parallel: true
 Encoding: UTF-8
 Language: en-GB
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2023-12-01 16:27:12 UTC; davis
+Packaged: 2026-01-22 13:56:47 UTC; davis
 Author: Hadley Wickham [aut],
   Lionel Henry [aut],
   Davis Vaughan [aut, cre],
@@ -38,4 +40,4 @@
   Posit Software, PBC [cph, fnd]
 Maintainer: Davis Vaughan <davis@posit.co>
 Repository: CRAN
-Date/Publication: 2023-12-01 23:50:02 UTC
+Date/Publication: 2026-01-23 18:50:02 UTC

=== debian/changelog ===
r-cran-vctrs (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Document MIT relicensing that took place in 0.3.5

 -- Charles Plessy <plessy@debian.org>  Mon, 09 Feb 2026 10:52:02 +0900

=== debian/control ===
Source: r-cran-vctrs
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-cli,
 r-cran-glue,
 r-cran-lifecycle,
 r-cran-rlang (>= 1.1.7),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-vctrs
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-vctrs.git
Homepage: https://cran.r-project.org/package=vctrs
Rules-Requires-Root: no

Package: r-cran-vctrs
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R vector helpers
 Defines new notions of prototype and size that are
 used to provide tools for consistent and well-founded type-coercion
 and size-recycling, and are in turn connected to ideas of type- and
 size-stability useful for analyzing function interfaces.

=== debian/tests/control ===
Tests: run-unit-test
Architecture: !s390x
Restrictions: allow-stderr
Depends:
 @,
 r-cran-bit64,
 r-cran-covr,
 r-cran-crayon,
 r-cran-dplyr (>= 0.8.5),
 r-cran-generics,
 r-cran-knitr,
 r-cran-pillar (>= 1.4.4),
 r-cran-pkgdown (>= 2.0.1),
 r-cran-rmarkdown,
 r-cran-testthat (>= 3.0.0),
 r-cran-tibble (>= 3.1.3),
 r-cran-waldo (>= 0.2.0),
 r-cran-withr,
 r-cran-xml2,
 r-cran-zeallot,
